Loading...
Searching...
No Matches
Rings.h File Reference

utility functionality for working with ring systems More...

`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <map>`
`#include <boost/dynamic_bitset_fwd.hpp>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RingUtils

## Typedefs

typedef std::vector< int > | RingUtils::INT_VECT
typedef std::vector< std::vector< int > > | RingUtils::VECT_INT_VECT
typedef std::map< int, std::vector< int > > | RingUtils::INT_INT_VECT_MAP

## Functions

RDKIT_GRAPHMOL_EXPORT void | RingUtils::pickFusedRings (int curr, const INT_INT_VECT_MAP &neighMap, INT_VECT &res, boost::dynamic_bitset<> &done, int depth=0)
| Pick a set of rings that are fused together and contain a specified ring.
RDKIT_GRAPHMOL_EXPORT void | RingUtils::makeRingNeighborMap (const VECT_INT_VECT &brings, INT_INT_VECT_MAP &neighMap, unsigned int maxSize=0, unsigned int maxOverlapSize=0)
| For each ring in bring compute and store the ring that are fused (share at least one bond with it).
RDKIT_GRAPHMOL_EXPORT void | RingUtils::convertToBonds (const VECT_INT_VECT &res, VECT_INT_VECT &brings, const RDKit::ROMol &mol)
| converts a list of atom indices into a list of bond indices

## Detailed Description

utility functionality for working with ring systems

Definition in file Rings.h.